from stl import mesh
import numpy as np
import requests
import math
import time
import datetime

from OpenElevation import alt
from GPS import *




def ecrire_donnees(deplacement_metres,lenX,lenY,altitude,nom):
	now = datetime.datetime.now()
	date_heure = now.strftime("%Y-%m-%d-%H-%M-%S")
	#nom_fichier = f"Donne({date_heure}).txt"
	nom_fichier = nom+".rcl"
	with open(nom_fichier, "w") as fichier:
		fichier.write(f"{deplacement_metres}\n")
		fichier.write(f"{lenX}\n")
		fichier.write(f"{lenY}\n")
		fichier.write(f"{altitude}\n")

def recupere(latitudeStart,longitudeStart,deplacement_metres,facteur,lenX,lenY,nom):
	Tabaltitude=[]
	latitude=latitudeStart
	TabLongitude=[]
	TabLatittude=[]
	for j in range (0,lenX):
		longitude=longitudeStart
		for i in range (0,lenY):
			TabLongitude.append(longitude)
			TabLatittude.append(latitude)
			longitude=longitudePlus(longitude,deplacement_metres,latitude)
		latitude=latitudePlus(latitude,deplacement_metres)
		
	Tabaltitude=alt(TabLatittude,TabLongitude)
	ecrire_donnees(deplacement_metres,lenX,lenY,Tabaltitude,nom)

	# print(latitude,",",longitude)
